function strIsNum(%str)
{
	%table = "1234567890";
	%len = strlen(%str);
	if(%len == 0)
		return false;
	for(%i = 0; %i < %len; %i ++)
	{
		if(strPos(%table, getSubStr(%str, %i, 1)) == -1)
			return false;
	}
	return true;
}

function CapitalVehicle::VehicleEditHelper(%this, %veh, %c, %arg0, %arg1)
{
	if(getTrustLevel(%c, %veh) < 2)
		return %c.chatMessage("\c3You can't change a vehicle without the owner's trust.");
	
	%veh.speed = vectorLen(%veh.getVelocity());
	if(%veh.speed > 2)	
		return %c.chatMessage("\c3The vehicle can't be customized while in motion.");
	
	if(strIsNum(%arg0))
	{
		if(%arg0 <= %this.numFactoryColors && %arg0 > 0)
		{
		return %veh.setNodeColor("ALL", getColorF(getWord(%this.factoryColor[%arg0], 0)));
		}
	}
	
	%c.chatMessage("<color:1199AA>-----\c6Capital Factory Paint<color:1199AA>-----");
	%c.chatMessage("    <color:888888>Usage: \c4/veh _ \c6with one of the numbers below. e.g. '\c4/veh 1\c6'");
	
	for(%i = 1; %i <= %this.numFactoryColors; %i++)
	{
		%c.chatMessage("        \c6" @ %i @ ":   <color:" @ getWord(%this.factoryColor[%i], 0) @ ">[" @ getWords(%this.factoryColor[%i], 1) @ "]");
	}
	return;
}