function CapitalPoliceVehicle::setSiren(%this, %veh, %select)	//Controls change of sirens
{
	if(%veh.honking)
		cancel(%veh.stopHornSchedule);

	if(%select == %veh.sirenState && !%veh.honking)
	{
		%select = 0;
	}

	if(%select > 0 && %veh.lightsActive == 0)
	{
		%this.emergencyLights(%veh, 1);
	}

	switch(%select)
	{
		case 0:
			%veh.stopAudio(0);

		case 1:
			%veh.playAudio(0, CapitalPoliceWail);

		case 2:
			%veh.playAudio(0, CapitalPoliceYelp);

		default:
			return;
	}

	%veh.sirenState = %select;
	
	return;
}

