datablock WheeledVehicleTire(CapitalTire)
{
	shapeFile = "./shapes/wheel.dts";

	mass = 10;
	radius = 1;
	staticFriction = 3;
	kineticFriction = 2;
	restitution = 0.5;	

	lateralForce = 10000;				//3000;
	lateralDamping = 200;			//4000;
	lateralRelaxation = 0.5;		//0.01;

	longitudinalForce = 7000;
	longitudinalDamping = 1400;
	logitudinalRelaxation = 0.1;
};

datablock WheeledVehicleSpring(CapitalSpring)
{
	length = 0.25;
	force = 3500;
	damping = 400;
	antiSwayForce = 0;
};

datablock WheeledVehicleTire(CapitalXC10Tire)
{
	shapeFile = "./shapes/wheel.dts";

	mass = 10;
	radius = 1;
	staticFriction = 3.2;
	kineticFriction = 2.1;
	restitution = 0.5;	

	lateralForce = 8000;				//3000;
	lateralDamping = 200;			//4000;
	lateralRelaxation = 0.6;		//0.01;

	longitudinalForce = 5000;
	longitudinalDamping = 1400;
	logitudinalRelaxation = 0.07;
};

datablock WheeledVehicleSpring(CapitalXC10Spring)
{
	length = 0.22;
	force = 3500;
	damping = 700;
	antiSwayForce = 0;
};



datablock WheeledVehicleTire(CapitalSkidplateTire)
{
	shapeFile = "./shapes/skidplate.dts";

	mass = 10;
	radius = 1;
	staticFriction = 0.15;
	kineticFriction = 0.15;
	restitution = 0.5;	

	lateralForce = 0;				//3000;
	lateralDamping = 1000;			//4000;
	lateralRelaxation = 1;		//0.01;

	longitudinalForce = 0;
	longitudinalDamping = 0;
	logitudinalRelaxation = 1;
};



datablock WheeledVehicleTire(CapitalSteelTire)
{
	shapeFile = "./shapes/steelwheel.dts";

	mass = 10;
	radius = 1;
	staticFriction = 3;
	kineticFriction = 2;
	restitution = 0.5;	

	lateralForce = 10000;				//3000;
	lateralDamping = 200;			//4000;
	lateralRelaxation = 0.5;		//0.01;

	longitudinalForce = 7000;
	longitudinalDamping = 1400;
	logitudinalRelaxation = 0.1;
};

datablock WheeledVehicleSpring(CapitalPoliceSpring)
{
	length = 0.325;
	force = 4000;
	damping = 350;
	antiSwayForce = 0;
};