%error1 = ForceRequiredAddOn("Support_Garage");
%error2 = ForceRequiredAddOn("Vehicle_Jeep");
%error3 = ForceRequiredAddOn("Support_EngineSounds");

if(%error3 != $Error::None)
	error("ERROR: Vehicle_ChargerMk2 - optional add-on Support_EngineSounds not found");

if(%error1 == $Error::AddOn_NotFound || %error2 == $Error::AddOn_NotFound)
{
   if(%error1 == $Error::AddOn_NotFound)
      error("ERROR: Vehicle_ChargerMk2 - required add-on Support_Garage not found");
   if(%error2 == $Error::AddOn_NotFound)
      error("ERROR: Vehicle_ChargerMk2 - required add-on Vehicle_Jeep not found");
}
else
{

exec("./police_EngineSound.cs");

exec("./base_Data_Vehicle.cs");
exec("./base_Script_Lights.cs");
exec("./base_Script_Vehicle.cs");
exec("./base_Script_VEH.cs");

exec("./police_Data_Vehicle.cs");
exec("./police_Data_Sounds.cs");

exec("./police_Script_Controls_Brick.cs");
exec("./police_Script_EmergencyLights.cs");
exec("./police_Script_Horn.cs");
exec("./police_Script_Lights.cs");
exec("./police_Script_setSiren.cs");
exec("./police_Script_Vehicle.cs");

exec("./Shared_Data_Wheels.cs");
exec("./Shared_Script_Lights.cs");

exec("./Support_HandsOnVehicle.cs");
exec("./Support_MountedLightBots.cs");
exec("./Support_VehicleEditHelper.cs");
}